(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@ngx-translate/core'), require('@narik/ui-core'), require('@angular/forms'), require('@angular/common'), require('@narik/app-core'), require('@narik/core'), require('@narik/infrastructure'), require('@narik/common'), require('@angular/animations'), require('angular2-uuid')) :
    typeof define === 'function' && define.amd ? define('@narik/ui-ngx-bootstrap', ['exports', '@angular/core', '@ngx-translate/core', '@narik/ui-core', '@angular/forms', '@angular/common', '@narik/app-core', '@narik/core', '@narik/infrastructure', '@narik/common', '@angular/animations', 'angular2-uuid'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.narik = global.narik || {}, global.narik['ui-ngx-bootstrap'] = {}), global.ng.core, global.core$1, global.uiCore, global.ng.forms, global.ng.common, global.appCore, global.core$2, global.infrastructure, global.common$1, global.ng.animations, global.angular2Uuid));
}(this, (function (exports, core, core$1, uiCore, forms, common, appCore, core$2, infrastructure, common$1, animations, angular2Uuid) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/input-output-items.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NARIK_UI_COMPONENT_INPUTS = ['options'];
    /** @type {?} */
    var NARIK_UI_FORM_INPUTS = __spread([
        'id',
        'name',
        'label',
        'disabled',
        'required',
        'readOnly',
        'placeHolder'
    ], NARIK_UI_COMPONENT_INPUTS);
    /** @type {?} */
    var NARIK_DATA_ORIENTED_OUTPUTS = [
        'dataChange',
        'selectedItemChange',
    ];
    /** @type {?} */
    var NARIK_DATA_ORIENTED_INPUTS = __spread([
        'listenForDataChange',
        'dataSource',
        'dataKey',
        'dataUrl',
        'dataInfo',
        'dataProviderKey',
        'dataParameters',
        'moduleKey',
        'dataMethod',
        'dataUrlMethod'
    ], NARIK_UI_FORM_INPUTS);
    /** @type {?} */
    var NARIK_DATA_DISPLAY_VALUE_OUTPUTS = __spread(NARIK_DATA_ORIENTED_OUTPUTS);
    /** @type {?} */
    var NARIK_DATA_DISPLAY_VALUE_INPUTS = __spread([
        'displayField',
        'valueField'
    ], NARIK_DATA_ORIENTED_INPUTS);
    /** @type {?} */
    var NARIK_AUTOCOMPLETE_INPUTS = [
        'displayText',
        'minSearchLength',
        'isLazyLoadData',
    ];
    /** @type {?} */
    var NARIK_CHECKBOX_INPUTS = __spread(['tag'], NARIK_UI_FORM_INPUTS);
    /** @type {?} */
    var NARIK_SELECT_INPUTS = ['multiple'];
    /** @type {?} */
    var NARIK_DATA_TABLE_SELECT_INPUTS = __spread(NARIK_SELECT_INPUTS, [
        'gridOptions',
    ]);
    /** @type {?} */
    var NARIK_DATE_PICKER_INPUTS = __spread(NARIK_UI_FORM_INPUTS);
    /** @type {?} */
    var NARIK_INPUT_INPUTS = __spread([
        'maxlength',
        'type',
        'mask',
        'icon',
        'displayStatus'
    ], NARIK_UI_FORM_INPUTS);

    var NarikNgxAutoComplete = /** @class */ (function (_super) {
        __extends(NarikNgxAutoComplete, _super);
        function NarikNgxAutoComplete() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NarikNgxAutoComplete;
    }(uiCore.NarikAutoComplete));
    NarikNgxAutoComplete.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-autocomplete  , narik-autocomplete ',
                    template: "",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS),
                    outputs: __spread(NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                    providers: [
                        {
                            provide: forms.NG_VALUE_ACCESSOR,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxAutoComplete; })),
                            multi: true,
                        },
                    ],
                    styles: [""]
                }] }
    ];

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-auto-complete/narik-ngx-auto-complete.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxAutoCompleteModule = /** @class */ (function () {
        function NarikNgxAutoCompleteModule() {
        }
        return NarikNgxAutoCompleteModule;
    }());
    NarikNgxAutoCompleteModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.FormsModule],
                    declarations: [NarikNgxAutoComplete],
                    exports: [NarikNgxAutoComplete],
                    providers: [],
                },] }
    ];

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-busy-indicator/narik-ngx-busy-indicator.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxBusyIndicator = /** @class */ (function () {
        function NarikNgxBusyIndicator() {
        }
        /**
         * @param {?} newState
         * @param {?=} msg
         * @return {?}
         */
        NarikNgxBusyIndicator.prototype.setBusy = function (newState, msg) {
            this.isBusy = newState;
        };
        return NarikNgxBusyIndicator;
    }());
    NarikNgxBusyIndicator.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-busy-indicator , narik-busy-indicator',
                    template: "\n",
                    providers: [
                        {
                            provide: appCore.BusyIndicator,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxBusyIndicator; })),
                        },
                    ],
                    styles: [""]
                }] }
    ];
    NarikNgxBusyIndicator.propDecorators = {
        isBusy: [{ type: core.Input }]
    };
    if (false) {
        /** @type {?} */
        NarikNgxBusyIndicator.prototype.busyMessage;
        /** @type {?} */
        NarikNgxBusyIndicator.prototype.isBusy;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-busy-indicator/narik-ngx-busy-indicator.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxBusyIndicatorModule = /** @class */ (function () {
        function NarikNgxBusyIndicatorModule() {
        }
        return NarikNgxBusyIndicatorModule;
    }());
    NarikNgxBusyIndicatorModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, core$1.TranslateModule],
                    declarations: [NarikNgxBusyIndicator],
                    exports: [NarikNgxBusyIndicator],
                    providers: [],
                },] }
    ];

    var NarikNgxButtonComponent = /** @class */ (function (_super) {
        __extends(NarikNgxButtonComponent, _super);
        /**
         * @param {?} renderer
         * @param {?} injector
         */
        function NarikNgxButtonComponent(renderer, injector) {
            var _this = _super.call(this, injector) || this;
            _this.renderer = renderer;
            return _this;
        }
        /**
         * @return {?}
         */
        NarikNgxButtonComponent.prototype.ngAfterViewInit = function () { };
        return NarikNgxButtonComponent;
    }(uiCore.NarikButton));
    NarikNgxButtonComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-buuton , narik-button ',
                    template: "\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgxButtonComponent.ctorParameters = function () { return [
        { type: core.Renderer2 },
        { type: core.Injector }
    ]; };
    __decorate([
        core$2.NarikInject(uiCore.BUTTON_DEFAULT_OPTIONS, {
            buttonStyle: 'mat-raised-button',
            busyFontIcon: 'fa-spinner',
        }),
        __metadata("design:type", Object)
    ], NarikNgxButtonComponent.prototype, "defaultOptions", void 0);
    if (false) {
        /** @type {?} */
        NarikNgxButtonComponent.prototype.defaultOptions;
        /**
         * @type {?}
         * @private
         */
        NarikNgxButtonComponent.prototype.renderer;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-button/narik-ngx-button.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxButtonModule = /** @class */ (function () {
        function NarikNgxButtonModule() {
        }
        return NarikNgxButtonModule;
    }());
    NarikNgxButtonModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [NarikNgxButtonComponent],
                    exports: [NarikNgxButtonComponent],
                    providers: [],
                },] }
    ];

    var NarikNgxCheckBox = /** @class */ (function (_super) {
        __extends(NarikNgxCheckBox, _super);
        /**
         * @param {?} injector
         */
        function NarikNgxCheckBox(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxCheckBox;
    }(uiCore.NarikCheckBox));
    NarikNgxCheckBox.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-checkbox , narik-checkbox',
                    template: "",
                    inputs: __spread(NARIK_CHECKBOX_INPUTS),
                    providers: [
                        {
                            provide: forms.NG_VALUE_ACCESSOR,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxCheckBox; })),
                            multi: true,
                        },
                        {
                            provide: uiCore.NarikCheckBox,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxCheckBox; })),
                        },
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxCheckBox.ctorParameters = function () { return [
        { type: core.Injector }
    ]; };

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-check-box/narik-ngx-checkbox.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxCheckBoxModule = /** @class */ (function () {
        function NarikNgxCheckBoxModule() {
        }
        return NarikNgxCheckBoxModule;
    }());
    NarikNgxCheckBoxModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.FormsModule],
                    declarations: [NarikNgxCheckBox],
                    exports: [NarikNgxCheckBox],
                    providers: [],
                },] }
    ];

    var NarikNgxCheckBoxList = /** @class */ (function (_super) {
        __extends(NarikNgxCheckBoxList, _super);
        /**
         * @param {?} injector
         */
        function NarikNgxCheckBoxList(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxCheckBoxList;
    }(uiCore.NarikCheckBoxList));
    NarikNgxCheckBoxList.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-checkbox-list , narik-checkbox-list',
                    template: "\n",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS),
                    providers: [
                        {
                            provide: forms.NG_VALUE_ACCESSOR,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxCheckBoxList; })),
                            multi: true,
                        },
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxCheckBoxList.ctorParameters = function () { return [
        { type: core.Injector }
    ]; };

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-check-box-list/narik-ngx-checkbox-list.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxCheckBoxListModule = /** @class */ (function () {
        function NarikNgxCheckBoxListModule() {
        }
        return NarikNgxCheckBoxListModule;
    }());
    NarikNgxCheckBoxListModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.FormsModule, NarikNgxCheckBoxModule],
                    declarations: [NarikNgxCheckBoxList],
                    exports: [NarikNgxCheckBoxList],
                    providers: [],
                },] }
    ];

    var NarikNgxDataTable = /** @class */ (function (_super) {
        __extends(NarikNgxDataTable, _super);
        /**
         * @param {?} injector
         * @param {?} changeDetector
         * @param {?} document
         */
        function NarikNgxDataTable(injector, changeDetector, document) {
            var _this = _super.call(this, injector) || this;
            _this.changeDetector = changeDetector;
            _this.document = document;
            return _this;
        }
        return NarikNgxDataTable;
    }(uiCore.NarikDataTable));
    NarikNgxDataTable.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-data-table , narik-data-table',
                    template: ""
                }] }
    ];
    /** @nocollapse */
    NarikNgxDataTable.ctorParameters = function () { return [
        { type: core.Injector },
        { type: core.ChangeDetectorRef },
        { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] }
    ]; };
    if (false) {
        /**
         * @type {?}
         * @private
         */
        NarikNgxDataTable.prototype.changeDetector;
        /**
         * @type {?}
         * @private
         */
        NarikNgxDataTable.prototype.document;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-data-table/narik-ngx-data-table.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxDataTableModule = /** @class */ (function () {
        function NarikNgxDataTableModule() {
        }
        return NarikNgxDataTableModule;
    }());
    NarikNgxDataTableModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.FormsModule, core$1.TranslateModule],
                    declarations: [NarikNgxDataTable],
                    exports: [NarikNgxDataTable],
                    providers: [],
                },] }
    ];

    var NarikNgxDatePicker = /** @class */ (function (_super) {
        __extends(NarikNgxDatePicker, _super);
        /**
         * @param {?} injector
         */
        function NarikNgxDatePicker(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxDatePicker;
    }(uiCore.NarikDatePicker));
    NarikNgxDatePicker.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-date-picker , narik-date-picker',
                    template: "\n",
                    inputs: __spread(NARIK_DATE_PICKER_INPUTS),
                    providers: [
                        {
                            provide: forms.NG_VALUE_ACCESSOR,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxDatePicker; })),
                            multi: true,
                        },
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxDatePicker.ctorParameters = function () { return [
        { type: core.Injector }
    ]; };

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-date-picker/narik-ngx-date-picker.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxDatePickerModule = /** @class */ (function () {
        function NarikNgxDatePickerModule() {
        }
        return NarikNgxDatePickerModule;
    }());
    NarikNgxDatePickerModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.FormsModule, core$1.TranslateModule],
                    declarations: [NarikNgxDatePicker],
                    exports: [NarikNgxDatePicker],
                    providers: [],
                },] }
    ];

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-date-picker/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    var NarikNgxInput = /** @class */ (function (_super) {
        __extends(NarikNgxInput, _super);
        /**
         * @param {?} injector
         */
        function NarikNgxInput(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxInput;
    }(uiCore.NarikInput));
    NarikNgxInput.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-input , narik-input',
                    template: "",
                    inputs: __spread(NARIK_INPUT_INPUTS),
                    providers: [
                        {
                            provide: forms.NG_VALUE_ACCESSOR,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxInput; })),
                            multi: true,
                        },
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxInput.ctorParameters = function () { return [
        { type: core.Injector }
    ]; };

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-input/narik-ngx-input.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxInputModule = /** @class */ (function () {
        function NarikNgxInputModule() {
        }
        return NarikNgxInputModule;
    }());
    NarikNgxInputModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.FormsModule],
                    declarations: [NarikNgxInput],
                    exports: [NarikNgxInput],
                    providers: [],
                },] }
    ];

    var NarikNgxRadioGroup = /** @class */ (function (_super) {
        __extends(NarikNgxRadioGroup, _super);
        /**
         * @param {?} injector
         */
        function NarikNgxRadioGroup(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikNgxRadioGroup;
    }(uiCore.NarikRadioGroup));
    NarikNgxRadioGroup.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-radio-group , narik-radio-group',
                    template: "",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS),
                    providers: [
                        {
                            provide: forms.NG_VALUE_ACCESSOR,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxRadioGroup; })),
                            multi: true,
                        },
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxRadioGroup.ctorParameters = function () { return [
        { type: core.Injector }
    ]; };

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-radio/narik-ngx-radio.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxRadioGroupModule = /** @class */ (function () {
        function NarikNgxRadioGroupModule() {
        }
        return NarikNgxRadioGroupModule;
    }());
    NarikNgxRadioGroupModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.FormsModule],
                    declarations: [NarikNgxRadioGroup],
                    exports: [NarikNgxRadioGroup],
                    providers: [],
                },] }
    ];

    var NarikNgxSelect = /** @class */ (function (_super) {
        __extends(NarikNgxSelect, _super);
        /**
         * @param {?} injector
         */
        function NarikNgxSelect(injector) {
            var _this = _super.call(this, injector) || this;
            _this.optionData = [];
            return _this;
        }
        /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        NarikNgxSelect.prototype.useData = function (data) {
            this.optionData = data;
        };
        return NarikNgxSelect;
    }(uiCore.NarikSelect));
    NarikNgxSelect.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-select , narik-select',
                    template: "",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS, NARIK_SELECT_INPUTS),
                    outputs: __spread(NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                    providers: [
                        {
                            provide: forms.NG_VALUE_ACCESSOR,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxSelect; })),
                            multi: true,
                        },
                    ],
                    styles: [".select-clear{left:-2px;position:absolute;top:-30px}.search-input{box-sizing:border-box;padding:16px}.search-continer{background-color:#fff;border-bottom:1px solid rgba(0,0,0,.12);position:-webkit-sticky;position:sticky;top:0;width:100%;z-index:10000}"]
                }] }
    ];
    /** @nocollapse */
    NarikNgxSelect.ctorParameters = function () { return [
        { type: core.Injector }
    ]; };
    if (false) {
        /** @type {?} */
        NarikNgxSelect.prototype.optionData;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-select/narik-ngx-select.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxSelectModule = /** @class */ (function () {
        function NarikNgxSelectModule() {
        }
        return NarikNgxSelectModule;
    }());
    NarikNgxSelectModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.FormsModule],
                    declarations: [NarikNgxSelect],
                    exports: [NarikNgxSelect],
                    providers: [],
                },] }
    ];

    var NarikNgxDynamicForm = /** @class */ (function (_super) {
        __extends(NarikNgxDynamicForm, _super);
        /**
         * @param {?} injector
         * @param {?} viewContainerRef
         */
        function NarikNgxDynamicForm(injector, viewContainerRef) {
            return _super.call(this, injector, viewContainerRef) || this;
        }
        return NarikNgxDynamicForm;
    }(uiCore.NarikDynamicForm));
    NarikNgxDynamicForm.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-dynamic-form , narik-ngx-dynamic-form',
                    template: "<div\n  class=\"dx-fieldset\"\n  [tab-guard]=\"activeTabGuard\"\n  [auto-focus]=\"activeAutoFocus\"\n  [autoFocusContainerName]=\"defaultFocusField\"\n>\n  <ng-container *ngFor=\"let item of fields\">\n\n  </ng-container>\n</div>\n",
                    providers: [
                        {
                            provide: uiCore.NarikDynamicForm,
                            useExisting: core.forwardRef(( /**
                             * @return {?}
                             */function () { return NarikNgxDynamicForm; })),
                        },
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgxDynamicForm.ctorParameters = function () { return [
        { type: core.Injector },
        { type: core.ViewContainerRef }
    ]; };

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-dynamic-form/narik-ngx-dynamic-form.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxDynamicFormModule = /** @class */ (function () {
        function NarikNgxDynamicFormModule() {
        }
        return NarikNgxDynamicFormModule;
    }());
    NarikNgxDynamicFormModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        forms.ReactiveFormsModule,
                        core$1.TranslateModule,
                        NarikNgxInputModule,
                        NarikNgxSelectModule,
                        NarikNgxCheckBoxModule,
                        NarikNgxRadioGroupModule,
                        NarikNgxAutoCompleteModule,
                        NarikNgxDatePickerModule,
                        common$1.NarikCommonModule,
                    ],
                    declarations: [NarikNgxDynamicForm],
                    exports: [NarikNgxDynamicForm],
                    providers: [],
                },] }
    ];

    var NarikNgxDialogContainer = /** @class */ (function (_super) {
        __extends(NarikNgxDialogContainer, _super);
        function NarikNgxDialogContainer() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @return {?}
         */
        NarikNgxDialogContainer.prototype.ngOnInit = function () { };
        return NarikNgxDialogContainer;
    }(core$2.NarikDialogContainer));
    NarikNgxDialogContainer.decorators = [
        { type: core.Component, args: [{
                    template: "",
                    animations: [animations.trigger('openClose', core$2.DialogAnimationBody)],
                    styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}"]
                }] }
    ];

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-dialog/narik-ngx-input-dialog.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxInputDialog = /** @class */ (function () {
        /**
         * @param {?} parameters
         */
        function NarikNgxInputDialog(parameters) {
            this.entity = {};
            this.fields = [];
            if (parameters) {
                this.entity = parameters.entity;
                this.fields = parameters.fields;
            }
        }
        /**
         * @return {?}
         */
        NarikNgxInputDialog.prototype.ngOnInit = function () { };
        return NarikNgxInputDialog;
    }());
    NarikNgxInputDialog.decorators = [
        { type: core.Component, args: [{
                    template: "<div class=\"pr-2 pl-2\">\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\n</div>\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgxInputDialog.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: core.Inject, args: [infrastructure.PARAMETERS,] }] }
    ]; };
    if (false) {
        /** @type {?} */
        NarikNgxInputDialog.prototype.entity;
        /** @type {?} */
        NarikNgxInputDialog.prototype.fields;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-dialog/narik-ngx-message-dialog.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxMessageDialog = /** @class */ (function () {
        /**
         * @param {?} parameters
         */
        function NarikNgxMessageDialog(parameters) {
            if (parameters) {
                this.message = parameters.message;
            }
        }
        /**
         * @return {?}
         */
        NarikNgxMessageDialog.prototype.ngOnInit = function () { };
        return NarikNgxMessageDialog;
    }());
    NarikNgxMessageDialog.decorators = [
        { type: core.Component, args: [{
                    template: "<div class=\"card p-2\">{{message | translate}}</div>\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgxMessageDialog.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: core.Inject, args: [infrastructure.PARAMETERS,] }] }
    ]; };
    if (false) {
        /** @type {?} */
        NarikNgxMessageDialog.prototype.message;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-dialog/narik-ngx-dialog.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ɵ0 = NarikNgxDialogContainer, ɵ1 = NarikNgxMessageDialog, ɵ2 = NarikNgxInputDialog;
    var NarikNgxDialogModule = /** @class */ (function () {
        function NarikNgxDialogModule() {
        }
        return NarikNgxDialogModule;
    }());
    NarikNgxDialogModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        forms.FormsModule,
                        core$1.TranslateModule,
                        common$1.NarikCommonModule,
                        NarikNgxButtonModule,
                        NarikNgxDynamicFormModule,
                    ],
                    declarations: [
                        NarikNgxDialogContainer,
                        NarikNgxInputDialog,
                        NarikNgxMessageDialog,
                    ],
                    exports: [
                        NarikNgxDialogContainer,
                        NarikNgxInputDialog,
                        NarikNgxMessageDialog,
                    ],
                    providers: [
                        {
                            provide: infrastructure.DIALOG_CONTAINER,
                            useValue: ɵ0,
                        },
                        {
                            provide: infrastructure.DIALOG_MESSAGE_COMPONENT,
                            useValue: ɵ1,
                        },
                        {
                            provide: infrastructure.DIALOG_INPUT_COMPONENT,
                            useValue: ɵ2,
                        },
                    ],
                    entryComponents: [
                        NarikNgxDialogContainer,
                        NarikNgxInputDialog,
                        NarikNgxMessageDialog,
                    ],
                },] }
    ];

    var NarikNgxTreeview = /** @class */ (function (_super) {
        __extends(NarikNgxTreeview, _super);
        /**
         * @param {?} injector
         */
        function NarikNgxTreeview(injector) {
            return _super.call(this, injector) || this;
        }
        Object.defineProperty(NarikNgxTreeview.prototype, "selectedItem", {
            /**
             * @return {?}
             */
            get: function () {
                return this._selectedItem;
            },
            /**
             * @param {?} value
             * @return {?}
             */
            set: function (value) {
                this._selectedItem = value;
            },
            enumerable: false,
            configurable: true
        });
        /**
         * @param {?} selectedNode
         * @return {?}
         */
        NarikNgxTreeview.prototype.addNode = function (selectedNode) {
            throw new Error('Method not implemented.');
        };
        /**
         * @param {?} selectedNode
         * @return {?}
         */
        NarikNgxTreeview.prototype.deleteNode = function (selectedNode) {
            throw new Error('Method not implemented.');
        };
        return NarikNgxTreeview;
    }(uiCore.NarikTreeview));
    NarikNgxTreeview.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-ngx-treeview narik-treeview',
                    template: ""
                }] }
    ];
    /** @nocollapse */
    NarikNgxTreeview.ctorParameters = function () { return [
        { type: core.Injector }
    ]; };
    NarikNgxTreeview.propDecorators = {
        newNodeTitle: [{ type: core.Input }]
    };
    if (false) {
        /** @type {?} */
        NarikNgxTreeview.prototype.newNodeTitle;
        /** @type {?} */
        NarikNgxTreeview.prototype._selectedItem;
    }

    var NarikNgxToolBar = /** @class */ (function (_super) {
        __extends(NarikNgxToolBar, _super);
        /**
         * @param {?} injector
         * @param {?} viewContainerRef
         */
        function NarikNgxToolBar(injector, viewContainerRef) {
            var _this = _super.call(this, injector, viewContainerRef) || this;
            _this.uniqueId = '';
            _this.uniqueId = 'toolbar' + angular2Uuid.UUID.UUID();
            return _this;
        }
        return NarikNgxToolBar;
    }(uiCore.NarikToolBar));
    NarikNgxToolBar.decorators = [
        { type: core.Component, args: [{
                    selector: 'narik-toolbar , narik-ngx-toolbar',
                    template: "\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgxToolBar.ctorParameters = function () { return [
        { type: core.Injector },
        { type: core.ViewContainerRef }
    ]; };
    if (false) {
        /** @type {?} */
        NarikNgxToolBar.prototype.uniqueId;
        /** @type {?} */
        NarikNgxToolBar.prototype.toolbarItems;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-toolbar/narik-ngx-toolbar.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxToolbarModule = /** @class */ (function () {
        function NarikNgxToolbarModule() {
        }
        return NarikNgxToolbarModule;
    }());
    NarikNgxToolbarModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.FormsModule, NarikNgxButtonModule, core$1.TranslateModule],
                    declarations: [NarikNgxToolBar],
                    exports: [NarikNgxToolBar],
                    providers: [],
                },] }
    ];

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-treeview/narik-ngx-treeview.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxTreeviewModule = /** @class */ (function () {
        function NarikNgxTreeviewModule() {
        }
        return NarikNgxTreeviewModule;
    }());
    NarikNgxTreeviewModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        forms.FormsModule,
                        NarikNgxToolbarModule,
                        core$1.TranslateModule,
                    ],
                    declarations: [NarikNgxTreeview],
                    exports: [NarikNgxTreeview],
                    providers: [],
                },] }
    ];

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-core/narik-ngx-core.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgxCoreModule = /** @class */ (function () {
        function NarikNgxCoreModule() {
        }
        return NarikNgxCoreModule;
    }());
    NarikNgxCoreModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [],
                    exports: [],
                    providers: [],
                },] }
    ];

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ui-ngx-bootstrap.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikUiNgxBootstrapModule = /** @class */ (function () {
        function NarikUiNgxBootstrapModule() {
        }
        return NarikUiNgxBootstrapModule;
    }());
    NarikUiNgxBootstrapModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        core$1.TranslateModule,
                        NarikNgxAutoCompleteModule,
                        NarikNgxBusyIndicatorModule,
                        NarikNgxButtonModule,
                        NarikNgxCheckBoxModule,
                        NarikNgxCheckBoxListModule,
                        NarikNgxDataTableModule,
                        NarikNgxDatePickerModule,
                        NarikNgxDialogModule,
                        NarikNgxDynamicFormModule,
                        NarikNgxInputModule,
                        NarikNgxRadioGroupModule,
                        NarikNgxSelectModule,
                        NarikNgxToolbarModule,
                        NarikNgxTreeviewModule,
                        NarikNgxCoreModule,
                    ],
                    declarations: [],
                    exports: [
                        core$1.TranslateModule,
                        NarikNgxAutoCompleteModule,
                        NarikNgxBusyIndicatorModule,
                        NarikNgxButtonModule,
                        NarikNgxCheckBoxModule,
                        NarikNgxCheckBoxListModule,
                        NarikNgxDataTableModule,
                        NarikNgxDatePickerModule,
                        NarikNgxDialogModule,
                        NarikNgxDynamicFormModule,
                        NarikNgxInputModule,
                        NarikNgxRadioGroupModule,
                        NarikNgxSelectModule,
                        NarikNgxToolbarModule,
                        NarikNgxTreeviewModule,
                        NarikNgxCoreModule,
                    ],
                    providers: [],
                },] }
    ];

    /**
     * @template T
     */
    var NarikUiListForm = /** @class */ (function (_super) {
        __extends(NarikUiListForm, _super);
        /**
         * @param {?} injector
         */
        function NarikUiListForm(injector) {
            var _this = _super.call(this, injector) || this;
            _this.ds = [];
            _this.hasDataSource = false;
            return _this;
        }
        Object.defineProperty(NarikUiListForm.prototype, "isServerSide", {
            /**
             * @return {?}
             */
            get: function () {
                return this.config && this.config.isServerSideData ? true : false;
            },
            enumerable: false,
            configurable: true
        });
        /**
         * @return {?}
         */
        NarikUiListForm.prototype.ngOnInit = function () {
            _super.prototype.ngOnInit.call(this);
            if (this.fields) {
            }
            if (this.config) {
                if (this.isServerSide) {
                    /** @type {?} */
                    var that = this;
                }
            }
        };
        /**
         * @return {?}
         */
        NarikUiListForm.prototype.ngAfterViewInit = function () { };
        /**
         * @param {?} result
         * @return {?}
         */
        NarikUiListForm.prototype.useData = function (result) {
            this.dataSource = ( /** @type {?} */(result.data));
        };
        /**
         * @protected
         * @param {?=} remoteDaraParams
         * @return {?}
         */
        NarikUiListForm.prototype.refresh = function (remoteDaraParams) {
            if (!this.isServerSide) {
                this.getEntities();
            }
            else {
                // this.grid.refresh();
            }
        };
        return NarikUiListForm;
    }(appCore.NarikListForm));
    __decorate([
        core$2.NarikInject(core$1.TranslateService),
        __metadata("design:type", core$1.TranslateService)
    ], NarikUiListForm.prototype, "translateService", void 0);
    if (false) {
        /** @type {?} */
        NarikUiListForm.prototype.ds;
        /** @type {?} */
        NarikUiListForm.prototype.translateService;
    }

    /**
     * @template T
     */
    var NarikUiEditForm = /** @class */ (function (_super) {
        __extends(NarikUiEditForm, _super);
        /**
         * @param {?} injector
         */
        function NarikUiEditForm(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikUiEditForm;
    }(appCore.NarikEditForm));

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/base/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-auto-complete/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-busy-indicator/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-button/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-check-box/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-check-box-list/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-input/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-radio/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-select/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-toolbar/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-dynamic-form/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-treeview/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-dialog/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-data-table/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/narik-ngx-core/public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: public_api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: narik-ui-ngx-bootstrap.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.NarikNgxAutoComplete = NarikNgxAutoComplete;
    exports.NarikNgxAutoCompleteModule = NarikNgxAutoCompleteModule;
    exports.NarikNgxBusyIndicator = NarikNgxBusyIndicator;
    exports.NarikNgxBusyIndicatorModule = NarikNgxBusyIndicatorModule;
    exports.NarikNgxButtonComponent = NarikNgxButtonComponent;
    exports.NarikNgxButtonModule = NarikNgxButtonModule;
    exports.NarikNgxCheckBox = NarikNgxCheckBox;
    exports.NarikNgxCheckBoxList = NarikNgxCheckBoxList;
    exports.NarikNgxCheckBoxListModule = NarikNgxCheckBoxListModule;
    exports.NarikNgxCheckBoxModule = NarikNgxCheckBoxModule;
    exports.NarikNgxCoreModule = NarikNgxCoreModule;
    exports.NarikNgxDataTable = NarikNgxDataTable;
    exports.NarikNgxDataTableModule = NarikNgxDataTableModule;
    exports.NarikNgxDatePicker = NarikNgxDatePicker;
    exports.NarikNgxDatePickerModule = NarikNgxDatePickerModule;
    exports.NarikNgxDialogContainer = NarikNgxDialogContainer;
    exports.NarikNgxDialogModule = NarikNgxDialogModule;
    exports.NarikNgxDynamicForm = NarikNgxDynamicForm;
    exports.NarikNgxDynamicFormModule = NarikNgxDynamicFormModule;
    exports.NarikNgxInput = NarikNgxInput;
    exports.NarikNgxInputDialog = NarikNgxInputDialog;
    exports.NarikNgxInputModule = NarikNgxInputModule;
    exports.NarikNgxMessageDialog = NarikNgxMessageDialog;
    exports.NarikNgxRadioGroup = NarikNgxRadioGroup;
    exports.NarikNgxRadioGroupModule = NarikNgxRadioGroupModule;
    exports.NarikNgxSelect = NarikNgxSelect;
    exports.NarikNgxSelectModule = NarikNgxSelectModule;
    exports.NarikNgxToolBar = NarikNgxToolBar;
    exports.NarikNgxToolbarModule = NarikNgxToolbarModule;
    exports.NarikNgxTreeview = NarikNgxTreeview;
    exports.NarikNgxTreeviewModule = NarikNgxTreeviewModule;
    exports.NarikUiEditForm = NarikUiEditForm;
    exports.NarikUiListForm = NarikUiListForm;
    exports.NarikUiNgxBootstrapModule = NarikUiNgxBootstrapModule;
    exports.ɵa = NARIK_UI_COMPONENT_INPUTS;
    exports.ɵb = NARIK_UI_FORM_INPUTS;
    exports.ɵc = NARIK_DATA_ORIENTED_OUTPUTS;
    exports.ɵd = NARIK_DATA_ORIENTED_INPUTS;
    exports.ɵe = NARIK_DATA_DISPLAY_VALUE_OUTPUTS;
    exports.ɵf = NARIK_DATA_DISPLAY_VALUE_INPUTS;
    exports.ɵg = NARIK_CHECKBOX_INPUTS;
    exports.ɵh = NARIK_SELECT_INPUTS;
    exports.ɵi = NARIK_DATE_PICKER_INPUTS;
    exports.ɵj = NARIK_INPUT_INPUTS;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=narik-ui-ngx-bootstrap.umd.js.map
